`timescale 1ns / 1ps

module sample_pass(
input clk_fs,clk_gfs,
input [13:0] din_a,din_b,
output [15:0] dout_a,dout_b,
input [7:0] gpio_dip_sw
 );
 wire [13:0] dinf;
 wire [15:0] doutf;
 
assign dout_a = (gpio_dip_sw[1:0] == 1) ? doutf : (gpio_dip_sw[1:0] == 2) ? {din_b,2'b00} : {din_a,2'b00};  
assign dout_b = (gpio_dip_sw[3:2] == 1) ? doutf : (gpio_dip_sw[3:2] == 2) ? {din_a,2'b00} : {din_b,2'b00};  

assign dinf   = (gpio_dip_sw[5]) ? din_a : din_b; 

lowpass fir1 (.din(dinf),.dout(doutf),.clk(clk_gfs));


endmodule
